package weimobapi

import (
	"testing"

	"git.rosy.net.cn/baseapi"
	"git.rosy.net.cn/baseapi/utils"
)

func TestQueryOrderDetail(t *testing.T) {
	result, err := api.QueryOrderDetail2(21446006011548, false)
	if err != nil {
		t.Fatal(err)
	}
	baseapi.SugarLogger.Debug(utils.Format4Output(result, false))
}

func TestBatchDeliveryOrder(t *testing.T) {
	deliveryOrder := &DeliveryOrder{
		OrderNo: 5287873015048,
	}
	err := api.DeliveryOrder(deliveryOrder)
	if err != nil {
		t.Fatal(err)
	}
}
